Class UmlBaseParameterSet

Declaration :

- C++ : class UmlBaseParameterSet : public UmlItem
- Java : abstract class UmlBaseParameterSet extends UmlItem

Directly inherited by : UmlParameterSet

Artifact : UmlBaseParameterSet

Operation create

returns a new parameter set named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlActivityAction, inout s : str) : UmlActivityParameter, exceptions : RuntimeException
- C++ : public: static UmlActivityParameter * create(UmlActivityAction * parent, const char * s)
- Java : public static UmlActivityParameter create(UmlActivityAction parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseParameterSet

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseParameterSet(in id : item_id, in s : string) :
- C++ : protected: UmlBaseParameterSet(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseParameterSet(long id, String s)

Operation pins

return the pins part of the parameter set

Declaration :

- Uml : + pins() : UmlActivityPin
- C++ : public: const QVector<UmlActivityPin> & pins()
- Java : public UmlActivityPin[] pins()

Operation set_Pins

set the pins

Declaration :

- Uml : + set_Pins(in v : UmlActivityPin) : bool
- C++ : public: bool set_Pins(const QVector<UmlActivityPin> & v)
- Java : public void set_Pins(UmlActivityPin[] v)

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _pins (<unidirectional association>)

Declaration :

- Uml : - _pins : UmlActivityPin, multiplicity : *
- C++ : private: QVector<UmlActivityPin> _pins
- Java : private UmlActivityPin[] _pins

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , pins , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_Pins , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload